Bug 6855 - broken ukrainian ispell support
: broken ukrainian ispell support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs21-X11)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-16 14:15 by
Modified: 2005-12-21 00:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-16 14:15:40
broken ukrainian ispell support:
@@ -613,10 +611,10 @@   
"[\341\342\367\347\344\345\263\366\372\351\352\353\354\355\356\357\360\362\363\364\365\346\350\343\376\373\375\370\371\377\374\340\361\301\302\327\307\304\305\243\326\332\311\312\313\314\315\316\317\320\322\323\324\325\306\310\303\336\333\335\330\331\337\334\300\321]"
"[^\341\342\367\347\344\345\263\366\372\351\352\353\354\355\356\357\360\362\363\364\365\346\350\343\376\373\375\370\371\377\374\340\361\301\302\327\307\304\305\243\326\332\311\312\313\314\315\316\317\320\322\323\324\325\306\310\303\336\333\335\330\331\337\334\300\321]"
     "" nil ("-d" "russian") nil koi8-r)
-   ("ukrainian"
-   
"[\341\342\367\347\275\344\345\264\366\372\351\266\267\352\353\354\355\356\357\360\362\363\364\365\346\350\343\376\373\375\340\361\370\301\302\327\307\255\304\305\244\326\332\311\246\247\312\313\314\315\316\317\320\322\323\324\325\306\310\303\336\333\335\300\321\330]"
-   
"[^\341\342\367\347\275\344\345\264\366\372\351\266\267\352\353\354\355\356\357\360\362\363\364\365\346\350\343\376\373\375\340\361\370\301\302\327\307\255\304\305\244\326\332\311\246\247\312\313\314\315\316\317\320\322\323\324\325\306\310\303\336\333\335\300\321\330]"
-    "[\']" nil ("-C" "-d" "ukrainian") nil koi8-u)
+   ("russianw"				; russianw.aff (CP1251 charset)
+   
"[\300\301\302\303\304\305\250\306\307\310\311\312\313\314\315\316\317\320\321\322\323\324\325\326\327\330\331\334\333\332\335\336\337\340\341\342\343\344\345\270\346\347\350\351\352\353\354\355\356\357\360\361\362\363\364\365\366\367\370\371\374\373\372\375\376\377]"
+   
"[^\300\301\302\303\304\305\250\306\307\310\311\312\313\314\315\316\317\320\321\322\323\324\325\326\327\330\331\334\333\332\335\336\337\340\341\342\343\344\345\270\346\347\350\351\352\353\354\355\356\357\360\361\362\363\364\365\366\367\370\371\374\373\372\375\376\377]"
+    "" nil ("-d" "russianw") nil cp1251)
    ("svenska"				; Swedish mode
    
"[A-Za-z\345\344\366\351\340\374\350\346\370\347\305\304\326\311\300\334\310\306\330\307]"
"[^A-Za-z\345\344\366\351\340\374\350\346\370\347\305\304\326\311\300\334\310\306\330\307]"

Насколько я понимаю, это из за того, что
в Мастер 2.4 вошел сломанный ispell-uk.
я подхватил этот осиротевший пакет, и теперь с украинским проблем нет.

Это изменение было в виде ispell-russianw.el (Source42)
(в нем также добавлен russianw --- в ущерб russian) 

--- emacs21.spec.10.1	2005-05-03 14:36:57 +0300
+++ emacs21sav.spec	2005-01-23 01:46:25 +0200
@@ -293,7 +293,7 @@
 %patch35 -p1
 
 # add support for russianw ispell dictionary
-cp %SOURCE42 lisp/textmodes/ispell.el
+#cp %SOURCE42 lisp/textmodes/ispell.el
 
 perl -pi -e 's|(\.\./info/[[:alpha:]-]+)|$1.info|g' man/*
 rm -f info/*

------------------------------------------------
Предлагаю его оторвать, 
потому что из его изменений 
1) отрыв украинского --- вредно
2) добавление russianw --- не нужно
emacs умеет перекодировать из нужной кодировки 
для проверки через 'russian'.

Если уже добавлять, то не в ущерб 'russian'
как альтернативную поддержку при отсутствии 'russian'
и в виде патча.
------- Comment #1 From 2005-05-16 14:16:36 -------
*** Bug 6771 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2005-09-15 15:25:17 -------
fixed in alt12
------- Comment #3 From 2005-12-21 00:47:41 -------
closed